regina-rexx (3.9.5+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload with maintainer approval.
  * Fix FTBFS with C23 (Closes: #1097785).
    - 2301_nullptr-c23-reserved-word.diff: nullptr is a reserved word in
      C23. Use mynullptr instead.
    - 2302_regutil_check-stdbool_h.diff: Use stdbool.h if available to
      work around C23 boolean changes.
    - 2303_use-cxx-va-ellipsis.diff: '()' is not allowed for variable
      function arguments.
  * debian/control: Add libcrypt-dev to Build-Depends (Closes: #1106995).
    Thanks Helmut Grohne
  * debian/control: Bump Standards-Version. No changes required.
  * debian/copyright: Fix lintian old-fsf-address-in-copyright-file for
    LGPL-2+ licenses.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 09 Sep 2025 00:24:02 +0200

regina-rexx (3.9.5+dfsg1-0.1) unstable; urgency=medium

  * Non-maintainer upload with maintaner agreement.

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Fix day-of-week for changelog entry 2.2-1.
  * Update standards version to 4.5.1, no changes needed.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

  [ Agustin Martin Domingo ]
  * New upstream version (Closes: #1066314).
    - Remove REGUTIL_TERM_LIB stuff (#930005). Fixed upstream in a
      simpler way.
    - 0000_configures_fix-alpha-compilation.diff: renamed from
      0000_AZ_configures.diff for clarity.
    - 0001_configures_do-not-regenerate-debian-rules.diff: Do not
      regenerate debian/rules. We do not use upstream debian dir.
    - 0000_AZ_regina.1.diff: Remove. Fixed upstream.
    - 0000_Makefile.in_Debian-Installation.diff. Remove. Unneeded.
    - 0000_AZ_Makefile.in.diff: Remove. Seems no longer needed.
    - 2000_regina-config_use-wrapper.diff: Upgrade.
    - 2000_Makefile.in_Do-not-hardcode-FLAGS.diff: Better use "?=".
    - libregina3.symbols: Upgrade for new symbols added in 3.7.
    - Upgrade install, links and manpages stuff for new upstream version.
  * Build for the host arch, thanks Helmut Grohne (Closes: #1027405).
  * debian/rules:
    - Read relevant version info from regina.ver file.
    - Revert file ordering in HISTORY FILE. Newer first.
    - Install HACKERS.txt.
    - Let configure deal with GCI on supported platforms.
  * debian/watch: fix to narrow allowed extensions.
  * debian/copyright: Make DEP5 format.
  * README.source,copyright,watch: Exclude files with unclear license.
  * debian/control:
    - Bump Standards-Version. No changes required.
    - Change BD libncurses5-dev => libncurses-dev.
    - Bump debhelper-compat to 13.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 01 Apr 2024 00:06:09 +0200

regina-rexx (3.6-2.4) unstable; urgency=medium

  * Non-maintainer upload with maintaner agreement.
  * debian/rules: Make sure we use recent config.sub and config.guess.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 06 May 2021 18:28:52 +0200

regina-rexx (3.6-2.3) unstable; urgency=medium

  * Non-maintainer upload with maintaner agreement.
  * Migrate to (still old-style) debhelper (Closes: #982884).
    - Make package multiarch.
    - Fix reproducibility problems (Closes: #854294).
  * Split original az-patch-01 patch into smaller 0000_AZ_*.diff patches.
  * debian/control: Add "Rules-Requires-Root: no"

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 06 May 2021 17:01:37 +0200

regina-rexx (3.6-2.2) unstable; urgency=medium

  * Non-maintainer upload with maintaner agreement.

  [ Boyuan Yang ]
  * debian/control:
    - Drop build-dependency on build-essential binutils (Closes: #877603).
    + Bump Standards-Version to 4.4.1.
    + Add git packaging repo under Salsa Debian group.

  [ Andreas Beckmann ]
  * configure: Ensure the value of REGUTIL_TERM_LIB gets into the Makefile
    s.t. we actually link against the library providing tgetent().
    (Closes: #930005)

  [ Agustin Martin ]
  * d/p/1000_regutil_termcap.h+HAVE_TGETENT.diff: Set HAVE_TGENT and load
    termcap.h if tgetent is available. This seems to fix a segfault
    appearing in amd64 when we actually link against the library providing
    tgetent in above #930005 fix.
  * Upgrade debian/watch file.

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 14 Feb 2021 21:45:52 +0100

regina-rexx (3.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use config.{guess,sub} from autotools-dev to fix FTBFS
    on arm64 and ppc64el. (Closes: #756354)
  * Stop compressing the packages with "bzip2 -9",
    compression with the current default xz is better.

 -- Adrian Bunk <bunk@debian.org>  Sun, 05 Mar 2017 16:40:23 +0200

regina-rexx (3.6-2) unstable; urgency=low

  * Fixed debian/rules build target.

 -- Alen Zekulic <alen@nms.hr>  Sat, 30 Jun 2012 18:24:27 +0200

regina-rexx (3.6-1) unstable; urgency=low

  * Fixed lintian errors.
  * Upgraded to Standards-Version: 3.9.3.
  * Fixed compilation problem on alpha (closes: #661883).
  * New upstream version.

 -- Alen Zekulic <alen@nms.hr>  Sat, 30 Jun 2012 05:11:58 +0200

regina-rexx (3.5-4) unstable; urgency=low

  * Fixed build failure with ld --as-needed. (closes: #615767).

 -- Alen Zekulic <alen@nms.hr>  Sun, 08 May 2011 02:22:22 +0200

regina-rexx (3.5-3) unstable; urgency=low

  * Applied patch from Petr Salinger (closes: #577112).

 -- Alen Zekulic <alen@nms.hr>  Sat, 10 Apr 2010 10:04:38 +0200

regina-rexx (3.5-2) unstable; urgency=low

  * Adjusted linker options on freebsd and hurd.
  * Upgraded to Standards-Version: 3.8.4.

 -- Alen Zekulic <alen@nms.hr>  Fri, 05 Mar 2010 00:13:40 +0100

regina-rexx (3.5-1) unstable; urgency=low

  * Fixed lintian errors.
  * Added a debian/watch file.
  * Added dpkg-gensymbols support.
  * Changed library package name to match soname.
  * Changed source name to match upstream.
  * New upstream version (closes: #499553, #533682, #549486).
  * Applied patch from Barry deFreese (closes: #534128).
  * Switch to 3.0 (quilt) source package format.
  * Upgraded to Standards-Version: 3.8.3.
  * Changed email address in control file to <alen@nms.hr>.

 -- Alen Zekulic <alen@nms.hr>  Sun, 17 Jan 2010 18:35:38 +0100

regina (3.3-5) unstable; urgency=low

  * Added handling of the nostrip DEB_BUILD_OPTIONS (closes: #437900).

 -- Alen Zekulic <azekulic@fesb.hr>  Mon, 10 Sep 2007 09:21:59 +0200

regina (3.3-4) unstable; urgency=low

  * Excluded powerpc from GCI supported architectures (closes: #399841).
  * Fixed package description (closes: #399137).

 -- Alen Zekulic <azekulic@fesb.hr>  Sat, 25 Nov 2006 10:44:15 +0100

regina (3.3-3) unstable; urgency=low

  * Applied patch from Matej Vela <vela@debian.org> against debian/rules
    to add support for Regina GCI by arch (closes: #358960).
  * Applied patch from Andreas Jochens <aj@andaco.de> to enable Regina
    General Call Interface on powerpc (closes: #361079).
  * Changed section of regina3-dev from devel to libdevel to match override.
  * Upgraded to Standards-Version: 3.7.2.

 -- Alen Zekulic <azekulic@fesb.hr>  Sun, 16 Apr 2006 11:13:36 +0200

regina (3.3-2) unstable; urgency=low

  * Fixed lintian errors.
  * Enabled Regina General Call Interface.
  * Upgraded to Standards-Version: 3.6.2.

 -- Alen Zekulic <azekulic@fesb.hr>  Mon,  6 Mar 2006 01:00:46 +0100

regina (3.3-1) unstable; urgency=low

  * New upstream version.
  * No longer provide /usr/doc link.
  * Upgraded to Standards-Version: 3.6.1.

 -- Alen Zekulic <azekulic@fesb.hr>  Wed, 28 Apr 2004 06:16:21 +0200

regina (2.2-1) unstable; urgency=low

  * Fixed lintian errors.
  * Fixed debian/rules script (closes: #113716, #104707).
  * New upstream version, final 2001-07-17 (closes: #101397, #112798, #113725).

 -- Alen Zekulic <azekulic@fesb.hr>  Mon, 30 Jul 2001 16:04:47 +0200

regina (2.2-0) unstable; urgency=low

  * Fixed prerm scripts.
  * Added Build-Depends.
  * Upgraded to Standards-Version: 3.5.2.0
  * New upstream version, beta 2000-11-18 (closes: #88752).

 -- Alen Zekulic <azekulic@fesb.hr>  Thu, 22 Mar 2001 00:44:57 +0100

regina (0.08h-1.1) unstable; urgency=low

  * Non-maintainer upload
  * config addition to allow it to build on arm

 -- Rick Younie <younie@debian.org>  Thu, 15 Feb 2001 20:30:59 -0800

regina (0.08h-1) frozen unstable; urgency=low

  * Replaces pre-released with released 0.08h version.
  * New upstream version (fixes several bugs).

 -- Alen Zekulic <azekulic@fesb.hr>  Mon, 13 Mar 2000 13:17:20 +0100

regina (0.08h-0) unstable; urgency=low

  * Upgraded to Standards-Version: 3.0.1.1.
  * FHS transition.
  * New upstream version. (0.08h beta 1999-10-09).

 -- Alen Zekulic <azekulic@fesb.hr>  Tue, 26 Oct 1999 20:35:24 +0200

regina (0.08g-0) unstable; urgency=low

  * Fixed lintian errors.
  * New upstream version. (0.08g beta 1998-12-23).

 -- Alen Zekulic <azekulic@fesb.hr>  Sun, 20 Jun 1999 19:33:38 +0200

regina (0.08e-2) frozen unstable; urgency=low

  * Applied Christian Meder's patch for glibc2.1 (fixes bug #30033).

 -- Alen Zekulic <azekulic@fesb.hr>  Wed,  9 Dec 1998 22:22:52 +0100

regina (0.08e-1) unstable; urgency=low

  * Applied James Troup's m68k patch (fixes bug #24183).
  * New upstream version.

 -- Alen Zekulic <azekulic@fesb.hr>  Sun,  4 Oct 1998 18:06:10 +0200

regina (0.08d-2) frozen unstable; urgency=low

  * regina0-dev: added Replaces/Conflicts to regina-dev (fixes bug #22403).

 -- Alen Zekulic <azekulic@fesb.hr>  Mon, 18 May 1998 13:55:19 +0200

regina (0.08d-1) frozen unstable; urgency=low

  * Several upstream bug fixes (fully Y2K compliant).
  * New upstream version (0.08d 1998-03-26).

 -- Alen Zekulic <azekulic@fesb.hr>  Sun, 29 Mar 1998 01:01:59 +0100

regina (0.08d-0) frozen unstable; urgency=low

  * Improved hanoi.rexx error message (fixes bug #20050).
  * New upstream version (0.08d beta 1998-03-11).

 -- Alen Zekulic <azekulic@fesb.hr>  Thu, 19 Mar 1998 19:17:40 +0100

regina (0.08b-2) unstable; urgency=low

  * Upgraded to Standards-Version: 2.4.0.0.
  * Fixed lintian errors.
  * Fixed `configure' script. (fixes: bug#17132)

 -- Alen Zekulic <azekulic@fesb.hr>  Thu, 12 Mar 1998 19:46:05 +0100

regina (0.08b-1) unstable; urgency=low

  * Added -D_REENTRANT compilation flag.
  * copyright no longer compressed. (fixes bugs #14486, #14509)
  * Architecture no longer hardcoded. (fixes bug #13620)
  * Now using pristine source.
  * Libc6 release.
  * New upstream version.

 -- Alen Zekulic <azekulic@fesb.hr>  Thu,  6 Nov 1997 23:55:33 +0100

regina (0.08a-1) unstable; urgency=low

  * Initial Release.

 -- Alen Zekulic <azekulic@fesb.hr>  Thu, 10 Apr 1997 17:27:12 +0200
